diff --git a/src/apps/deskbar/BeMenu.h b/src/apps/deskbar/BeMenu.h
index 276275d..9612a04 100644
--- a/src/apps/deskbar/BeMenu.h
+++ b/src/apps/deskbar/BeMenu.h
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -42,7 +43,7 @@ All rights reserved.
 class TBarView;
 
 enum recent_type {
-	kRecentDocuments	= 0,
+	kRecentDocuments = 0,
 	kRecentApplications,
 	kRecentFolders,
 	kRecentAppDocuments
@@ -76,7 +77,7 @@ class TRecentsMenu : public BNavMenu {
 
 		int32 			fItemIndex;
 		BMessage		fRecentList;
-		
+
 		TBarView		*fBarView;
 };
 
@@ -102,7 +103,7 @@ class TBeMenu : public BNavMenu {
 		void			AttachedToWindow();
 		void			DetachedFromWindow();
 
-		void			ResetTargets();		
+		void			ResetTargets();
 
 		static BMessenger DefaultTarget();
 
@@ -118,15 +119,15 @@ class TBeMenu : public BNavMenu {
 
 		bool			AddStandardBeMenuItems();
 
-	private:		
-		virtual	bool	StartBuildingItemList();
+	private:
+		virtual bool	StartBuildingItemList();
 		virtual void	DoneBuildingItemList();
-		virtual	bool	AddNextItem();
-		virtual	void	ClearMenuBuildingState();
+		virtual bool	AddNextItem();
+		virtual void	ClearMenuBuildingState();
 
-		//	to keep track of the menu building state
-		State 			fAddState;	
-		TBarView		*fBarView;
+		// to keep track of the menu building state
+		State 			fAddState;
+		TBarView*		fBarView;
 };
 
 #endif	/* _BE_MENU_H_ */
diff --git a/src/apps/deskbar/DeskBarUtils.cpp b/src/apps/deskbar/DeskBarUtils.cpp
index 151fd60..791a809 100644
--- a/src/apps/deskbar/DeskBarUtils.cpp
+++ b/src/apps/deskbar/DeskBarUtils.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -60,11 +61,11 @@ AddRefsToBeMenu(const BMessage* m, entry_ref* subdirectory)
 		int32 count = 0;
 		uint32 type = 0;
 		entry_ref ref;
-		
+
 		m->GetInfo("refs", &type, &count);
 		if (count <= 0)
 			return;
-			
+
 		BPath path;
 		BSymLink link;
 		BDirectory dir;
@@ -72,8 +73,7 @@ AddRefsToBeMenu(const BMessage* m, entry_ref* subdirectory)
 			ref = *subdirectory;
 			BEntry entry(&ref);
 			if (entry.Exists()) {
-				//	if the ref is a file
-				//	get the parent and convert it to a ref
+				// if the ref is a file get the parent and convert it to a ref
 				if (entry.IsFile()) {
 					BEntry parent;
 					entry.GetParent(&parent);
@@ -81,7 +81,7 @@ AddRefsToBeMenu(const BMessage* m, entry_ref* subdirectory)
 				}
 			} else
 				return;
-				
+
 			dir.SetTo(&ref);
 		} else {
 			if (find_directory(B_USER_DESKBAR_DIRECTORY, &path) == B_OK)
@@ -89,13 +89,12 @@ AddRefsToBeMenu(const BMessage* m, entry_ref* subdirectory)
 			else
 				return;
 		}
-			
+
 		for (long i = 0; i < count; i++) {
 			if (m->FindRef("refs", i, &ref) == B_NO_ERROR) {
-
 				BEntry entry(&ref);
 				entry.GetPath(&path);
-				
+
 				dir.CreateSymLink(ref.name, path.Path(), &link);
 			}
 		}
diff --git a/src/apps/deskbar/DeskBarUtils.h b/src/apps/deskbar/DeskBarUtils.h
index 1f05c83..b35ad56 100644
--- a/src/apps/deskbar/DeskBarUtils.h
+++ b/src/apps/deskbar/DeskBarUtils.h
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
diff --git a/src/apps/deskbar/ExpandoMenuBar.cpp b/src/apps/deskbar/ExpandoMenuBar.cpp
index 0fd4483..1622b67 100644
--- a/src/apps/deskbar/ExpandoMenuBar.cpp
+++ b/src/apps/deskbar/ExpandoMenuBar.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -118,8 +119,8 @@ TExpandoMenuBar::AttachedToWindow()
 			R_BeLogoIcon);
 		if (logoBitmap != NULL)
 			fBeMenuWidth = logoBitmap->Bounds().Width() + 16;
- 		fBeMenuItem = new TBarMenuTitle(fBeMenuWidth, Frame().Height(),
- 			logoBitmap, beMenu, true);
+		fBeMenuItem = new TBarMenuTitle(fBeMenuWidth, Frame().Height(),
+			logoBitmap, beMenu, true);
 		AddItem(fBeMenuItem);
 
 		fSeparatorItem = new TTeamMenuItem(kSepItemWidth, height, fVertical);
@@ -584,10 +585,10 @@ TExpandoMenuBar::RemoveTeam(team_id team, bool partial)
 				RemoveItem(i);
 
 				if (fVertical) {
-					//	instead of resizing the window here and there in the
-					//	code the resize method will be centered in one place
-					//	thus, the same behavior (good or bad) will be used
-					//	whereever window sizing is done
+					// instead of resizing the window here and there in the
+					// code the resize method will be centered in one place
+					// thus, the same behavior (good or bad) will be used
+					// whereever window sizing is done
 					fBarView->SizeWindow(BScreen(Window()).Frame());
 				} else
 					CheckItemSizes(-1);
@@ -613,8 +614,8 @@ TExpandoMenuBar::CheckItemSizes(int32 delta)
 
 	if (!fBarView->Vertical()) {
 		// in this case there are 2 extra items:
-		//		The Be Menu
-		//		The little separator item
+		//   - The Be Menu
+		//   - The little separator item
 		fullWidth = fullWidth - (sMinimumWindowWidth * 2)
 			+ (fBeMenuWidth + kSepItemWidth);
 		width -= (fBeMenuWidth + kSepItemWidth);
@@ -624,11 +625,11 @@ TExpandoMenuBar::CheckItemSizes(int32 delta)
 	if (delta >= 0 && fullWidth > width) {
 		fOverflow = true;
 		reset = true;
-		newWidth = floorf(width/count);
+		newWidth = floorf(width / count);
 	} else if (delta < 0 && fOverflow) {
 		reset = true;
 		if (fullWidth > width)
-			newWidth = floorf(width/count);
+			newWidth = floorf(width / count);
 		else
 			newWidth = sMinimumWindowWidth;
 	}
@@ -713,10 +714,9 @@ void
 TExpandoMenuBar::CheckForSizeOverrun()
 {
 	BRect screenFrame = (BScreen(Window())).Frame();
-	if (fVertical)
-		fIsScrolling = Window()->Frame().bottom > screenFrame.bottom;
-	else
-		fIsScrolling = false;
+
+	fIsScrolling = fVertical ? Window()->Frame().bottom > screenFrame.bottom
+		: false;
 }
 
 
@@ -744,7 +744,7 @@ TExpandoMenuBar::monitor_team_windows(void* arg)
 			// Set all WindowMenuItems to require an update.
 			TWindowMenuItem* item = NULL;
 			for (int32 i = 0; i < totalItems; i++) {
-				if (!teamMenu->SubmenuAt(i)){
+				if (!teamMenu->SubmenuAt(i)) {
 					item = static_cast<TWindowMenuItem*>(teamMenu->ItemAt(i));
 					item->SetRequireUpdate();
 				}
@@ -814,7 +814,7 @@ TExpandoMenuBar::monitor_team_windows(void* arg)
 
 			// Remove any remaining items which require an update.
 			for (int32 i = 0; i < totalItems; i++) {
-				if (!teamMenu->SubmenuAt(i)){
+				if (!teamMenu->SubmenuAt(i)) {
 					item = static_cast<TWindowMenuItem*>(teamMenu->ItemAt(i));
 					if (item && item->RequiresUpdate()) {
 						item = static_cast<TWindowMenuItem*>
diff --git a/src/apps/deskbar/ExpandoMenuBar.h b/src/apps/deskbar/ExpandoMenuBar.h
index 928555c..6a96559 100644
--- a/src/apps/deskbar/ExpandoMenuBar.h
+++ b/src/apps/deskbar/ExpandoMenuBar.h
@@ -26,17 +26,18 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 #ifndef EXPANDO_MENU_BAR_H
 #define EXPANDO_MENU_BAR_H
 
-//	application list
-//	top level at window
-//	in expanded mode horizontal and vertical
+// application list
+// top level at window
+// in expanded mode horizontal and vertical
 
 
 #include <MenuBar.h>
diff --git a/src/apps/deskbar/LICENSE b/src/apps/deskbar/LICENSE
index 6992c78..dc84944 100644
--- a/src/apps/deskbar/LICENSE
+++ b/src/apps/deskbar/LICENSE
@@ -25,7 +25,8 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
diff --git a/src/apps/deskbar/PreferencesWindow.cpp b/src/apps/deskbar/PreferencesWindow.cpp
index aecbba7..bb378f1 100644
--- a/src/apps/deskbar/PreferencesWindow.cpp
+++ b/src/apps/deskbar/PreferencesWindow.cpp
@@ -35,8 +35,7 @@ PreferencesWindow::PreferencesWindow(BRect frame)
 	// Controls
 	fMenuRecentDocuments = new BCheckBox(B_TRANSLATE("Recent documents:"),
 		new BMessage(kUpdateRecentCounts));
-	fMenuRecentApplications = new BCheckBox(
-		B_TRANSLATE("Recent applications:"),
+	fMenuRecentApplications = new BCheckBox(B_TRANSLATE("Recent applications:"),
 		new BMessage(kUpdateRecentCounts));
 	fMenuRecentFolders = new BCheckBox(B_TRANSLATE("Recent folders:"),
 		new BMessage(kUpdateRecentCounts));
@@ -52,8 +51,7 @@ PreferencesWindow::PreferencesWindow(BRect frame)
 		new BMessage(kSortRunningApps));
 	fAppsSortTrackerFirst = new BCheckBox(B_TRANSLATE("Tracker always first"),
 		new BMessage(kTrackerFirst));
-	fAppsShowExpanders = new BCheckBox(
-		B_TRANSLATE("Show application expander"),
+	fAppsShowExpanders = new BCheckBox(B_TRANSLATE("Show application expander"),
 		new BMessage(kSuperExpando));
 	fAppsExpandNew = new BCheckBox(B_TRANSLATE("Expand new applications"),
 		new BMessage(kExpandNewTeams));
@@ -83,7 +81,7 @@ PreferencesWindow::PreferencesWindow(BRect frame)
 
 	// Values
 	TBarApp* barApp = static_cast<TBarApp*>(be_app);
-	desk_settings* appSettings = barApp->Settings();;
+	desk_settings* appSettings = barApp->Settings();
 
 	fAppsSort->SetValue(appSettings->sortRunningApps);
 	fAppsSortTrackerFirst->SetValue(appSettings->trackerAlwaysFirst);
diff --git a/src/apps/deskbar/ResourceSet.cpp b/src/apps/deskbar/ResourceSet.cpp
index 6bbb33b..fc9369c 100644
--- a/src/apps/deskbar/ResourceSet.cpp
+++ b/src/apps/deskbar/ResourceSet.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
@@ -70,78 +71,78 @@ namespace TResourcePrivate {
 			:	fDeleteOK(false)
 		{
 		}
-		
+
 		virtual ~TypeObject()
 		{
 			if (!fDeleteOK)
 				debugger("deleting object owned by BResourceSet");
 		}
-		
+
 		void Delete()
 		{
 			fDeleteOK = true;
 		}
-		
+
 	private:
 		TypeObject(const TypeObject &);
 		TypeObject &operator=(const TypeObject &);
 		bool operator==(const TypeObject &);
 		bool operator!=(const TypeObject &);
-		
+
 		bool fDeleteOK;
 	};
-	
+
 	class BitmapTypeItem : public BBitmap, public TypeObject {
 	public:
 		BitmapTypeItem(BRect bounds, uint32 flags, color_space depth,
-			int32 bytesPerRow=B_ANY_BYTES_PER_ROW, screen_id screenID
+			int32 bytesPerRow = B_ANY_BYTES_PER_ROW, screen_id screenID
 			= B_MAIN_SCREEN_ID)
 			:	BBitmap(bounds, flags, depth, bytesPerRow, screenID)
 		{
 		}
-		
+
 		BitmapTypeItem(const BBitmap* source, bool accepts_views = false,
 			bool need_contiguous = false)
 			:	BBitmap(source, accepts_views, need_contiguous)
 		{
 		}
-		
+
 		BitmapTypeItem(BMessage* data)
 			:	BBitmap(data)
 		{
 		}
-		
+
 		virtual ~BitmapTypeItem()
 		{
 		}
 	};
-	
+
 	class StringBlockTypeItem : public TStringBlock, public TypeObject {
 	public:
 		StringBlockTypeItem(BDataIO* data)
 			:	TStringBlock(data)
 		{
 		}
-		
+
 		StringBlockTypeItem(const void* block, size_t size)
 			:	TStringBlock(block, size)
 		{
 		}
-		
+
 		virtual ~StringBlockTypeItem()
 		{
 		}
 	};
-	
+
 	class TypeItem {
 	public:
 		TypeItem(int32 id, const char* name, const void* data, size_t size)
-			: fID(id), fName(name),
-			  fData(const_cast<void*>(data)), fSize(size), fObject(0),
-			  fOwnData(false), fSourceIsFile(false)
+			:	fID(id), fName(name),
+				fData(const_cast<void*>(data)), fSize(size), fObject(0),
+				fOwnData(false), fSourceIsFile(false)
 		{
 		}
-		
+
 		TypeItem(int32 id, const char* name, BFile* file)
 			:	fID(id),
 				fName(name),
@@ -162,7 +163,7 @@ namespace TResourcePrivate {
 				}
 			}
 		}
-		
+
 		virtual ~TypeItem()
 		{
 			if (fOwnData) {
@@ -172,19 +173,27 @@ namespace TResourcePrivate {
 			}
 			SetObject(NULL);
 		}
-		
+
 		int32 ID() const
-			{ return fID; }
+		{
+			return fID;
+		}
 
 		const char* Name() const
-			{ return fName.String(); }
+		{
+			return fName.String();
+		}
 
 		const void* Data() const
-			{ return fData; }
+		{
+			return fData;
+		}
 
 		size_t Size() const
-			{ return fSize; }
-		
+		{
+			return fSize;
+		}
+
 		void SetObject(TypeObject* object)
 		{
 			if (object == fObject)
@@ -195,14 +204,20 @@ namespace TResourcePrivate {
 		}
 
 		TypeObject* Object() const
-			{ return fObject; }
-		
+		{
+			return fObject;
+		}
+
 		void SetSourceIsFile(bool state)
-			{ fSourceIsFile = state; }
+		{
+			fSourceIsFile = state;
+		}
 
 		bool SourceIsFile() const
-			{ return fSourceIsFile; }
-		
+		{
+			return fSourceIsFile;
+		}
+
 	private:
 		int32 fID;
 		BString fName;
@@ -212,7 +227,7 @@ namespace TResourcePrivate {
 		bool fOwnData;
 		bool fSourceIsFile;
 	};
-	
+
 	static bool FreeTypeItemFunc(void* item)
 	{
 		delete reinterpret_cast<TypeItem*>(item);
@@ -225,16 +240,18 @@ namespace TResourcePrivate {
 			:	fType(type)
 		{
 		}
-		
+
 		virtual ~TypeList()
 		{
 			fItems.DoForEach(FreeTypeItemFunc);
 			fItems.MakeEmpty();
 		}
-		
+
 		type_code Type() const
-			{ return fType; }
-		
+		{
+			return fType;
+		}
+
 		TypeItem* FindItemByID(int32 id)
 		{
 			for (int32 i = 0; i < fItems.CountItems(); i++ ) {
@@ -254,20 +271,19 @@ namespace TResourcePrivate {
 			}
 			return NULL;
 		}
-		
+
 		void AddItem(TypeItem* item)
 		{
 			fItems.AddItem(item);
 		}
-		
+
 	private:
 		type_code fType;
 		BList fItems;
 	};
-
 }
 
-using namespace TResourcePrivate;
+	using namespace TResourcePrivate;
 
 //	#pragma mark -
 // ----------------------------- TStringBlock -----------------------------
@@ -282,13 +298,13 @@ TStringBlock::TStringBlock(BDataIO* data)
 	fStrings = (char*)malloc(1024);
 	size_t pos = 0;
 	ssize_t amount;
-	while ((amount=data->Read(fStrings + pos, 1024)) == 1024) {
+	while ((amount = data->Read(fStrings + pos, 1024)) == 1024) {
 		pos += amount;
 		fStrings = (char*)realloc(fStrings, pos + 1024);
 	}
 	if (amount > 0)
 		pos += amount;
-	
+
 	fNumEntries = PreIndex(fStrings, amount);
 	fIndex = (size_t*)malloc(sizeof(size_t) * fNumEntries);
 	MakeIndex(fStrings, amount, fNumEntries, fIndex);
@@ -304,7 +320,7 @@ TStringBlock::TStringBlock(const void* block, size_t size)
 {
 	fIndex = (size_t*)const_cast<void*>(block);
 	fStrings = (char*)const_cast<void*>(block);
-	
+
 	// Figure out how many entries there are.
 	size_t last_off = 0;
 	while (fIndex[fNumEntries] > last_off && fIndex[fNumEntries] < size ) {
@@ -339,12 +355,12 @@ size_t
 TStringBlock::PreIndex(char* strings, ssize_t len)
 {
 	size_t count = 0;
-	
 	char* orig = strings;
 	char* end = strings + len;
 	bool in_cr = false;
 	bool first = true;
 	bool skipping = false;
+
 	while (orig < end) {
 		if (*orig == '\n' || *orig == '\r' || *orig == 0) {
 			if (!in_cr && *orig == '\r')
@@ -371,30 +387,29 @@ TStringBlock::PreIndex(char* strings, ssize_t len)
 				case '\\':
 					*strings = '\\';
 					break;
-					
+
 				case '\n':
 					*strings = '\n';
 					break;
-					
+
 				case '\r':
 					*strings = '\r';
 					break;
-					
+
 				case '\t':
 					*strings = '\t';
 					break;
-					
+
 				default:
 					*strings = *orig;
 					break;
 			}
-		} else 
+		} else
 			*strings = *orig;
 
 		orig++;
 		strings++;
 	}
-	
 	return count;
 }
 
@@ -405,7 +420,7 @@ TStringBlock::MakeIndex(const char* strings, ssize_t len,
 {
 	*resultingIndex++ = 0;
 	indexLength--;
-	
+
 	ssize_t pos = 0;
 	while (pos < len && indexLength > 0) {
 		if (strings[pos] == 0 ) {
@@ -475,7 +490,7 @@ TResourceSet::AddResources(BResources* RESOURCES_ONLY(resources))
 #if USE_RESOURCES
 	if (!resources)
 		return B_BAD_VALUE;
-	
+
 	BAutolock lock(&fLock);
 	status_t err = fResources.AddItem(resources) ? B_OK : B_ERROR;
 	if (err != B_OK)
@@ -499,7 +514,7 @@ TResourceSet::AddDirectory(const char* fullPath)
 		delete path;
 		return err;
 	}
-	
+
 	BAutolock lock(&fLock);
 	err = fDirectories.AddItem(path) ? B_OK : B_ERROR;
 	if (err != B_OK)
@@ -514,13 +529,13 @@ TResourceSet::AddEnvDirectory(const char* in, const char* defaultValue)
 {
 	BString buf;
 	status_t err = ExpandString(&buf, in);
-	
+
 	if (err != B_OK) {
 		if (defaultValue)
 			return AddDirectory(defaultValue);
 		return err;
 	}
-	
+
 	return AddDirectory(buf.String());
 }
 
@@ -529,11 +544,12 @@ status_t
 TResourceSet::ExpandString(BString* out, const char* in)
 {
 	const char* start = in;
+
 	while (*in) {
 		if (*in == '$') {
 			if (start < in)
-				 out->Append(start, (int32)(in - start));
-			
+				out->Append(start, (int32)(in - start));
+
 			in++;
 			char variableName[1024];
 			size_t i = 0;
@@ -545,25 +561,25 @@ TResourceSet::ExpandString(BString* out, const char* in)
 				if (*in)
 					in++;
 
-			} else 
-				while ((isalnum(*in) || *in == '_') && i
-					< sizeof(variableName) - 1)
+			} else {
+				while ((isalnum(*in) || *in == '_')
+					&& i < sizeof(variableName) - 1)
 					variableName[i++] = *in++;
-			
+			}
+
 			start = in;
-			
 			variableName[i] = '\0';
-			
+
 			const char* val = getenv(variableName);
 			if (!val) {
 				PRINT(("Error: env var %s not found.\n", &variableName[0]));
 				return B_NAME_NOT_FOUND;
 			}
-			
+
 			status_t err = ExpandString(out, val);
 			if (err != B_OK)
 				return err;
-			
+
 		} else if (*in == '\\') {
 			if (start < in)
 				out->Append(start, (int32)(in - start));
@@ -576,7 +592,7 @@ TResourceSet::ExpandString(BString* out, const char* in)
 
 	if (start < in)
 		out->Append(start, (int32)(in - start));
-	
+
 	return B_OK;
 }
 
@@ -585,7 +601,7 @@ const void*
 TResourceSet::FindResource(type_code type, int32 id, size_t* outSize)
 {
 	TypeItem* item = FindItemID(type, id);
-	
+
 	if (outSize)
 		*outSize = item ? item->Size() : 0;
 
@@ -597,7 +613,7 @@ const void*
 TResourceSet::FindResource(type_code type, const char* name, size_t* outSize)
 {
 	TypeItem* item = FindItemName(type, name);
-	
+
 	if (outSize)
 		*outSize = item ? item->Size() : 0;
 
@@ -632,11 +648,12 @@ TResourceSet::FindStringBlock(type_code type, const char* name)
 	return ReturnStringBlockItem(FindItemName(type, name));
 }
 
-	
+
 const char*
 TResourceSet::FindString(type_code type, int32 id, uint32 index)
 {
 	const TStringBlock* stringBlock = FindStringBlock(type, id);
+
 	if (!stringBlock)
 		return NULL;
 
@@ -648,25 +665,26 @@ const char*
 TResourceSet::FindString(type_code type, const char* name, uint32 index)
 {
 	const TStringBlock* stringBlock = FindStringBlock(type, name);
+
 	if (!stringBlock)
 		return NULL;
 
 	return stringBlock->String(index);
 }
 
-	
+
 TypeList*
 TResourceSet::FindTypeList(type_code type)
 {
 	BAutolock lock(&fLock);
-	
+
 	int32 count = fTypes.CountItems();
 	for (int32 i = 0; i < count; i++ ) {
 		TypeList* list = (TypeList*)fTypes.ItemAt(i);
 		if (list && list->Type() == type)
 			return list;
 	}
-	
+
 	return NULL;
 }
 
@@ -676,12 +694,13 @@ TResourceSet::FindItemID(type_code type, int32 id)
 {
 	TypeList* list = FindTypeList(type);
 	TypeItem* item = NULL;
-	
-	if (list) item = list->FindItemByID(id);
-	
+
+	if (list)
+		item = list->FindItemByID(id);
+
 	if (!item)
 		item = LoadResource(type, id, 0, &list);
-	
+
 	return item;
 }
 
@@ -691,13 +710,13 @@ TResourceSet::FindItemName(type_code type, const char* name)
 {
 	TypeList* list = FindTypeList(type);
 	TypeItem* item = NULL;
-	
+
 	if (list)
 		item = list->FindItemByName(name);
-	
+
 	if (!item)
 		item = LoadResource(type, -1, name, &list);
-	
+
 	return item;
 }
 
@@ -707,10 +726,10 @@ TResourceSet::LoadResource(type_code type, int32 id, const char* name,
 	TypeList** inOutList)
 {
 	TypeItem* item = NULL;
-	
+
 	if (name) {
 		BEntry entry;
-		
+
 		// If a named resource, first look in directories.
 		fLock.Lock();
 		int32 count = fDirectories.CountItems();
@@ -731,7 +750,7 @@ TResourceSet::LoadResource(type_code type, int32 id, const char* name,
 		}
 		fLock.Unlock();
 	}
-	
+
 #if USE_RESOURCES
 	if (!item) {
 		// Look through resource objects for data.
@@ -746,7 +765,7 @@ TResourceSet::LoadResource(type_code type, int32 id, const char* name,
 					data = resource->LoadResource(type, id, &size);
 				else if (name != NULL)
 					data = resource->LoadResource(type, name, &size);
-					
+
 				if (data && size) {
 					item = new TypeItem(id, name, data, size);
 					item->SetSourceIsFile(false);
@@ -787,7 +806,7 @@ TResourceSet::ReturnBitmapItem(type_code, TypeItem* from)
 {
 	if (!from)
 		return NULL;
-	
+
 	TypeObject* obj = from->Object();
 	BitmapTypeItem* bitmap = dynamic_cast<BitmapTypeItem*>(obj);
 	if (bitmap)
@@ -803,10 +822,11 @@ TResourceSet::ReturnBitmapItem(type_code, TypeItem* from)
 	// Try to read as an archived bitmap.
 	stream.Seek(0, SEEK_SET);
 	BMessage archive;
-	if (archive.Unflatten(&stream) == B_OK ) {
+	if (archive.Unflatten(&stream) == B_OK) {
 		bitmap = new BitmapTypeItem(&archive);
 		if (bitmap && bitmap->InitCheck() != B_OK) {
-			bitmap->Delete();	// allows us to delete this bitmap...
+			bitmap->Delete();
+				// allows us to delete this bitmap...
 			delete bitmap;
 			bitmap = NULL;
 		}
@@ -815,11 +835,11 @@ TResourceSet::ReturnBitmapItem(type_code, TypeItem* from)
 	if (bitmap) {
 		BAutolock lock(&fLock);
 		if (from->Object() != NULL) {
-			// Whoops!  Someone snuck in under us.
+			// Whoops! Someone snuck in under us.
 			bitmap->Delete();
 			delete bitmap;
 			bitmap = dynamic_cast<BitmapTypeItem*>(from->Object());
-		} else 
+		} else
 			from->SetObject(bitmap);
 	}
 
@@ -832,33 +852,33 @@ TResourceSet::ReturnStringBlockItem(TypeItem* from)
 {
 	if (!from)
 		return NULL;
-	
+
 	TypeObject* obj = from->Object();
 	StringBlockTypeItem* stringBlock = dynamic_cast<StringBlockTypeItem*>(obj);
 	if (stringBlock)
 		return stringBlock;
-	
+
 	// Can't change an existing object.
 	if (obj)
 		return NULL;
-	
+
 	// Don't have a string block in the item -- we'll create one.
 	if (from->SourceIsFile() ) {
 		BMemoryIO stream(from->Data(), from->Size());
 		stringBlock = new StringBlockTypeItem(&stream);
 	} else
 		stringBlock = new StringBlockTypeItem(from->Data(), from->Size());
-	
+
 	if (stringBlock) {
 		BAutolock lock(&fLock);
 		if (from->Object() != NULL) {
-			// Whoops!  Someone snuck in under us.
+			// Whoops! Someone snuck in under us.
 			delete stringBlock;
 			stringBlock = dynamic_cast<StringBlockTypeItem*>(from->Object());
 		} else
 			from->SetObject(stringBlock);
 	}
-	
+
 	return stringBlock;
 }
 
@@ -867,10 +887,8 @@ TResourceSet::ReturnStringBlockItem(TypeItem* from)
 
 
 namespace TResourcePrivate {
-
 	TResourceSet* gResources = NULL;
 	BLocker gResourceLocker;
-	
 }
 
 
@@ -880,7 +898,7 @@ AppResSet()
 	// If already have it, return immediately.
 	if (gResources)
 		return gResources;
-	
+
 	// Don't have 'em, lock access to make 'em.
 	if (!gResourceLocker.Lock())
 		return NULL;
@@ -889,7 +907,7 @@ AppResSet()
 		gResourceLocker.Unlock();
 		return gResources;
 	}
-	
+
 	// Make 'em.
 	gResources = new TResourceSet;
 	gResources->AddResources(BApplication::AppResources());
diff --git a/src/apps/deskbar/ResourceSet.h b/src/apps/deskbar/ResourceSet.h
index 5975304..7012c1d 100644
--- a/src/apps/deskbar/ResourceSet.h
+++ b/src/apps/deskbar/ResourceSet.h
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 #ifndef _T_RESOURCE_SET_H
@@ -48,7 +49,7 @@ namespace TResourcePrivate {
 	class TypeList;
 }
 
-using namespace TResourcePrivate;
+	using namespace TResourcePrivate;
 
 const uint32 B_STRING_BLOCK_TYPE = 'SBLK';
 
@@ -57,14 +58,14 @@ public:
 	TStringBlock(BDataIO* data);
 	TStringBlock(const void* block, size_t size);
 	virtual ~TStringBlock();
-	
+
 	const char* String(size_t index) const;
 
 private:
 	size_t PreIndex(char* strings, ssize_t len);
-	void MakeIndex(const char* strings, ssize_t len,
-		size_t indexLen, size_t* outIndex);
-	
+	void MakeIndex(const char* strings, ssize_t len, size_t indexLen,
+		size_t* outIndex);
+
 	size_t fNumEntries;
 	size_t* fIndex;
 	char* fStrings;
@@ -80,34 +81,32 @@ public:
 	status_t AddDirectory(const char* fullPath);
 	status_t AddEnvDirectory(const char* envPath,
 		const char* defaultValue = NULL);
-	
-	const void* FindResource(type_code type, int32 id,
-		size_t* outSize);
-	const void* FindResource(type_code type, const char* name,
-		size_t* outSize);
-	
+
+	const void* FindResource(type_code type, int32 id, size_t* outSize);
+	const void* FindResource(type_code type, const char* name, size_t* outSize);
+
 	const BBitmap* FindBitmap(type_code type, int32 id);
 	const BBitmap* FindBitmap(type_code type, const char* name);
-	
+
 	const TStringBlock* FindStringBlock(type_code type, int32 id);
 	const TStringBlock* FindStringBlock(type_code type, const char* name);
-	
+
 	const char* FindString(type_code type, int32 id, uint32 index);
 	const char* FindString(type_code type, const char* name, uint32 index);
-	
+
 private:
 	status_t ExpandString(BString* out, const char* in);
 	TypeList* FindTypeList(type_code type);
-	
+
 	TypeItem* FindItemID(type_code type, int32 id);
 	TypeItem* FindItemName(type_code type, const char* name);
-	
+
 	TypeItem* LoadResource(type_code type, int32 id, const char* name,
 		TypeList** inoutList = NULL);
-	
+
 	BBitmap* ReturnBitmapItem(type_code type, TypeItem* from);
 	TStringBlock* ReturnStringBlockItem(TypeItem* from);
-	
+
 	BLocker fLock;				// access control.
 	BList fResources;			// containing BResources objects.
 	BList fDirectories;			// containing BPath objects.
diff --git a/src/apps/deskbar/ShowHideMenuItem.cpp b/src/apps/deskbar/ShowHideMenuItem.cpp
index a614fc8..b793426 100644
--- a/src/apps/deskbar/ShowHideMenuItem.cpp
+++ b/src/apps/deskbar/ShowHideMenuItem.cpp
@@ -26,9 +26,10 @@ Except as contained in this notice, the name of Be Incorporated shall not be
 used in advertising or otherwise to promote the sale, use or other dealings in
 this Software without prior written authorization from Be Incorporated.
 
-Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered trademarks
-of Be Incorporated in the United States and other countries. Other brand product
-names are registered trademarks or trademarks of their respective holders.
+Tracker(TM), Be(R), BeOS(R), and BeIA(TM) are trademarks or registered
+trademarks of Be Incorporated in the United States and other countries. Other
+brand product names are registered trademarks or trademarks of their respective
+holders.
 All rights reserved.
 */
 
